package com.ssyf.task.models;

import java.time.LocalDateTime;

/**
 * 登录重试信息类
 */
public class LoginRetryInfo {
    String robotAccount;
    int retryCount;
    LocalDateTime lastAttemptTime;
    LocalDateTime nextRetryTime;

    public LoginRetryInfo(String robotAccount) {
        this.robotAccount = robotAccount;
        this.retryCount = 0;
        this.lastAttemptTime = LocalDateTime.now();
        this.nextRetryTime = LocalDateTime.now();
    }
}